SELECT id, pay_amount, CASE pay_type_code
                            WHEN 'S' THEN 'Salaried'
                            WHEN 'C' THEN 'Commissioned'
                            WHEN 'T' THEN 'Temporary'
                            WHEN 'H' THEN 'Hourly'
                            ELSE 'Unknown Pay Type'
                        END
  FROM employee
/

